namespace $HW_hidden$

var_global
	$modbus_serial.Neuron xS50.AO_1.01_w$, $modbus_serial.Neuron xS50.AO_1.02_w$, $modbus_serial.Neuron xS50.AO_1.03_w$, $modbus_serial.Neuron xS50.AO_1.04_w$, $modbus_serial.Neuron xS50.AO_1.01_r$, $modbus_serial.Neuron xS50.AO_1.02_r$, $modbus_serial.Neuron xS50.AO_1.03_r$, $modbus_serial.Neuron xS50.AO_1.04_r$ : $word$ ;
	$modbus_serial.Neuron xS50.AI_1.01$, $modbus_serial.Neuron xS50.AI_1.03$, $tmp_real$ : $real$ ;
	$onewire.1W-Thermometer.Temperature$ : $int$ ;
	$modbus_serial.Neuron xS50.AO_1.01_w.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.02_w.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.03_w.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.04_w.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.01_r.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.02_r.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.03_r.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AO_1.04_r.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 4000, $Y1$ := 0, $Y2$ := 10.0);
	$modbus_serial.Neuron xS50.AI_1.01.transformation$ : $lib$.$core$.$v1_0$.$linearbytwopoints$ := ($X1$ := 0, $X2$ := 7.88, $Y1$ := -3, $Y2$ := 3);
	$modbus_serial.Neuron xS50.AI_1.03.transformation$ : $lib$.$core$.$v1_0$.$resistancetotemperature$ := ($Kind$ := $lib$.$core$.$v1_0$.$transformkind$#Pt1000);
	$onewire.1W-Thermometer.Temperature.transformation$ : $lib$.$core$.$v1_0$.$linear$ := ($k$ := 0.0625);
end_var

program f_transform
		$tmp_real$ := $modbus_serial.Neuron xS50.AI_1.01.transformation$.Forward(in := $modbus_serial.Neuron xS50.AI_1.01$);

		$hw$.$neuron xs50_room1_userinput$ := $tmp_real$;


		$tmp_real$ := $modbus_serial.Neuron xS50.AI_1.03.transformation$.Forward(in := real_to_uint($modbus_serial.Neuron xS50.AI_1.03$));

		$hw$.$neuron xs50_room1_temperature$ := $tmp_real$;


		$tmp_real$ := $onewire.1W-Thermometer.Temperature.transformation$.Forward(in := $onewire.1W-Thermometer.Temperature$);

		$hw$.$1w-thermometer_room2_temperature$ := $tmp_real$;


end_program
program r_transform
end_program
program init_transform
	$modbus_serial.Neuron xS50.AI_1.03.transformation$.$init$();

end_program
program finish_transform

end_program
end_namespace